
shr.defineClass("shr.custom.AtsTripBillEditEx", shr.ats.AtsTripBillEdit, {
	initalizeDOM: function () {
		shr.custom.AtsTripBillEditEx.superClass.initalizeDOM.call(this);
		// 创建要添加的span元素并设置属性
		var spanElement = $('<span>', {
			id: 'tishi',
			style: {
				color: 'red',
				fontSize: '12px'
			},
			text: '点击“下载出差行程表模板”下载'
		});

		// 获取类名为shrTooltip的元素并将span元素添加到其前面
		$('.shrTooltip').before('<span id="tishi" style="color: red; font-size:12px">&nbsp &nbsp点击上面“下载出差行程表模板”按钮</span>');
	},
	/**
	*下载出差模板
	*/
	evectionTemplateAction: function (action) {
		var _self = this;
		_self.remoteCall({
			method: 'evectionTemplate',
			success: function (data) {
				window.open(data.link)
			}
		});
	},
});

